# $Revision: 1.36 $, $Date: 2009/01/17 05:18:19 $
Summary:	An Open Source software construction tool
Summary(pl.UTF-8):	OpenSourcowe narzędzie do tworzenia oprogramowania
Name:		scons
Version:	1.2.0
Release:	1
License:	MIT, freely distributable
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/scons/%{name}-%{version}.tar.gz
# Source0-md5:	53b6aa7281811717a57598e319441cf7
URL:		http://www.scons.org/
BuildRequires:	python-devel >= 1.6
BuildRequires:	rpm-pythonprov
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
Requires:	python
Requires:	python-devel-tools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SCons is an Open Source software construction tool - that is, a build
tool; an improved substitute for the classic Make utility; a better
way to build software. SCons is based on the design which won the
Software Carpentry build tool design competition in August 2000.

SCons "configuration files" are Python scripts, eliminating the need
to learn a new build tool syntax. SCons maintains a global view of all
dependencies in a tree, and can scan source (or other) files for
implicit dependencies, such as files specified on #include lines.
SCons uses MD5 signatures to rebuild only when the contents of a file
have really changed, not just when the timestamp has been touched.
SCons supports side-by-side variant builds, and is easily extended
with user-defined Builder and/or Scanner objects.

%description -l pl.UTF-8
SCons to wypuszczone z ogólnodostępnymi źródłami narzędzie do
budowania oprogramowania; jest to ulepszony zamiennik klasycznego
narzędzia Make. SCons jest oparte na opracowaniu, które wygrało
konkurs Software Carpentry owania w sierpniu 2000.

"Pliki konfiguracyjne" SCons to skrypty Pythona, co eliminuje potrzebę
uczenia się składni nowego narzędzia. SCons zachowuje globalny widok
wszystkich zależności w drzewie i może przeszukiwać pliki źródeł (lub
inne) w poszukiwaniu niejawnych zależności, takich jak pliki podane w
liniach #include. SCons używa sygnatur MD5, aby przebudowywać tylko
wtedy, kiedy naprawdę się zmieniła zawartość pliku, a nie przy samej
zmianie czasu modyfikacji. SCons obsługuje budowanie wariantowe i jest
łatwo rozszerzalny przez zdefiniowane przez użytkownika obiekty
Builder i/lub Scanner.

%prep
%setup -q
%{__sed} -i -e "s,'lib','share',g" script/{scons,sconsign}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install \
	--no-version-script \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT \
	--install-data=%{_datadir} \
	--install-lib=%{py_sitescriptdir} \
	--install-scripts=%{_bindir}

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
#LICENSE.txt must be added (read LICENSE.txt file)
%doc CHANGES.txt LICENSE.txt README.txt RELEASE.txt
%attr(755,root,root) %{_bindir}/*
%{py_sitescriptdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scons.spec,v $
Revision 1.36  2009/01/17 05:18:19  lisu
- remove DEVEL stuff

Revision 1.35  2008/12/22 10:16:07  lisu
- do not give dir name in %%setup

Revision 1.34  2008/12/22 10:12:10  lisu
- up to 1.2.0

Revision 1.33.2.3  2008/12/08 09:45:05  lisu
- 1.1.0.d20081207 snapshot

Revision 1.33.2.2  2008/11/28 09:59:14  lisu
- 1.1.0.d20081125 snapshot

Revision 1.33.2.1  2008/11/24 15:21:54  lisu
- snapshot version 1.1.0.d20081104

Revision 1.33  2008/11/24 15:16:46  lisu
- 1.1.0

Revision 1.32  2008/10/03 18:04:27  arekm
- release 2

Revision 1.31  2008/09/22 12:08:30  pluto
- updated to 1.0.1.

Revision 1.30  2008/06/19 20:36:28  lisu
- 0.98.5
- STBR

Revision 1.29  2008/05/06 15:32:25  lisu
- 0.98.3

Revision 1.28  2008-04-28 17:58:10  lisu
- 0.98.2

Revision 1.27  2008-04-04 13:31:25  lisu
- up to final 0.98.0
- use python macro

Revision 1.26.2.3  2007-12-22 18:47:01  lisu
- 0.97.0d20071212 snapshot

Revision 1.26.2.2  2007-09-20 17:27:54  lisu
- 0.97.0d20070918

Revision 1.26.2.1  2007/08/12 22:38:55  lisu
- snapshot version 0.97.0d20070809

Revision 1.26  2007/05/26 00:21:49  qboosh
- updated to 0.9 7

Revision 1.25  2007/04/29 20:09:48  qboosh
- R: python-devel-tools (for pdb)

Revision 1.24  2007/04/29 20:07:54  qboosh
- updated to 0.96.96

Revision 1.23  2007/02/12 22:09:14  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.21  2007/01/08 15:29:10  shadzik
- 0.96.94

Revision 1.20  2006/11/19 18:06:45  lisu
- 0.96.93
- LICENSE.txt added - it's necessary

Revision 1.19  2006/09/28 19:52:26  lisu
- CHANGES.txt added

Revision 1.18  2006/09/28 19:42:04  lisu
- up to 0.96.92
- README.txt added

Revision 1.17  2006/09/27 07:25:10  cieciwa
- again build with python 2.5

Revision 1.16  2006/09/01 10:18:59  cieciwa
- release 2 - to build with new python(abi).

Revision 1.15  2005/11/15 17:04:00  charles
- R: python

Revision 1.14  2005/11/15 15:58:08  charles
- updated BRs, proper %install
- rel. 1

Revision 1.13  2005/11/08 21:05:09  paszczus
- updated to 0.96.91 ; seems to work but please test it ; rel 0.1

Revision 1.12  2005/03/11 23:42:29  charles
- BR: python, python-modules

Revision 1.11  2004/12/30 10:34:16  charles
- s/perl -pi/sed -i/ + BR sed >= 4.0
- R python up to >= 1.5.2 (see README)
- BR python-devel >= 1.6 (also README)

Revision 1.10  2004/12/23 16:59:24  saq
- release 4 for rebuild with python 2.4

Revision 1.9  2004/09/03 17:38:28  darekr
- updated to 0.96.1

Revision 1.8  2004/08/20 21:09:23  qboosh
- removed dir belonging to python

Revision 1.7  2004/08/08 12:16:56  andree
- noarch really fixed (use py_sitescriptdir, 'lib' to 'share')

Revision 1.6  2004/08/07 23:50:05  andree
- remove noarch; rel. 3

Revision 1.5  2004/04/10 15:51:00  qboosh
- lib64 fix, release 2

Revision 1.4  2004/03/14 19:16:19  adamg
- updated to 0.95

Revision 1.3  2003/12/06 03:51:38  domelu
- up to 0.94

Revision 1.2  2003/08/22 08:41:27  qboosh
- pl, cleanups

Revision 1.1  2003/08/21 21:26:21  undefine
- initital pld version
